> ## Documentation Index
> Fetch the complete documentation index at: https://gecko.security/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the latest image release for a channel

> Unknown channel names return `not_found`.



## OpenAPI

````yaml /api-reference/openapi.json get /releases/{channel}/latest
openapi: 3.1.0
info:
  title: Gecko Security API
  version: 1.0.0
  description: >-
    Programmatic access to scans, vulnerabilities, repositories, schedules,
    webhooks, and scanner image releases. Authenticate with an API key via the
    `X-API-Key` header or `Authorization: Bearer <key>`.
servers:
  - url: https://app.gecko.security/api/v1
security:
  - ApiKeyHeader: []
  - BearerAuth: []
paths:
  /releases/{channel}/latest:
    get:
      summary: Get the latest image release for a channel
      description: Unknown channel names return `not_found`.
      parameters:
        - name: channel
          in: path
          required: true
          schema:
            type: string
            description: >-
              Release channel name. Channel names are shared privately by your
              Gecko account contact and are not listed publicly.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageRelease'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ImageRelease:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        object:
          type: string
          const: image_release
        channel:
          type: string
          description: >-
            Release channel name. Channel names are shared privately by your
            Gecko account contact and are not listed publicly.
        version:
          type: string
        git_sha:
          type: string
        image_digest:
          type: string
        image_uri:
          type: string
        image_ref:
          type: string
        pull_command:
          type: string
        pushed_at:
          type: string
        notes:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - object
        - channel
        - version
        - git_sha
        - image_digest
        - image_uri
        - image_ref
        - pull_command
        - pushed_at
        - notes
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
            code:
              type: string
            message:
              type: string
            param:
              type: string
            doc_url:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - doc_url
            - request_id
      required:
        - error
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````